import { Page, Browser } from 'puppeteer';
import { CreateOptions } from '../../model/interface/';
import { FunctionsLayer, FunctionParameters } from '../../model/enum';
export declare class HelperLayer {
    page: Page;
    browser: Browser;
    options: CreateOptions;
    ev: any;
    constructor(page: Page, browser: Browser, options: CreateOptions, ev: any);
    handleApiCallPage<K extends FunctionsLayer>(functionName: K, ...args: FunctionParameters[K]): Promise<any>;
    /**
     * Function to handle API calls with error handling
     * @param functionName - Function name to be called in the API object
     * @param args - Function parameters to be passed to the function
     * @returns - Returns the result of the function call
     */
    handleApiCallParametres<K extends FunctionsLayer>(functionName: K, ...args: FunctionParameters[K]): Promise<any>;
}
