"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnMod = void 0;
const helpers_1 = require("./helpers");
const enum_1 = require("../../model/enum");
class OnMod extends helpers_1.HelperLayer {
    constructor(page, browser, options, ev) {
        super(page, browser, options, ev);
        this.page = page;
        this.browser = browser;
        this.options = options;
        this.ev = ev;
    }
    /**
     * Listen to interface changes.
     */
    interfaceChange() {
        this.handleApiCallParametres(enum_1.FunctionsLayer.eventInterfaceChange);
    }
    /**
     * Listen to deleted messages.
     */
    newDeleteMessage() {
        this.handleApiCallParametres(enum_1.FunctionsLayer.eventNewDeleteMessage);
    }
    /**
     * Listen to edited messages.
     */
    newEditMessage() {
        this.handleApiCallParametres(enum_1.FunctionsLayer.eventNewEditMessage);
    }
    /**
     * Listen to new messages.
     */
    newMessage() {
        this.handleApiCallParametres(enum_1.FunctionsLayer.eventNewMessage);
    }
    /**
     * Listen to reaction messages.
     */
    onReactionMessage() {
        this.handleApiCallParametres(enum_1.FunctionsLayer.eventOnReactionMessage);
    }
    /**
     * Listen to introductory reactions.
     */
    onIntroReactionMessage() {
        this.handleApiCallParametres(enum_1.FunctionsLayer.eventOnIntroReactionMessage);
    }
    /**
     * Listen to message acknowledgment (read receipt).
     */
    newOnAck() {
        this.handleApiCallParametres(enum_1.FunctionsLayer.eventNewOnAck);
    }
}
exports.OnMod = OnMod;
