"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Profile = void 0;
const _1 = require("./");
const enum_1 = require("../../model/enum");
class Profile extends _1.GroupLayer {
    constructor(page, browser, options, ev) {
        super(page, browser, options, ev);
        this.page = page;
        this.browser = browser;
        this.options = options;
        this.ev = ev;
    }
    /**
     * Logout of the current session
     */
    async logoutSession() {
        return this.handleApiCallParametres(enum_1.FunctionsLayer.logoutSession);
    }
    /**
     * Closes page and browser
     */
    async browserClose() {
        try {
            if (!this.page.isClosed()) {
                await this.page.close();
                await this.browser.close();
                return true;
            }
        }
        catch (_a) {
            return false;
        }
    }
}
exports.Profile = Profile;
