import { Profile } from './profile.layes';
import { Page, Browser } from 'puppeteer';
import { CreateOptions, InterfaceHost, Contact } from '../../model/interface';
export declare class RetrieverLayer extends Profile {
    page: Page;
    browser: Browser;
    options: CreateOptions;
    ev: any;
    constructor(page: Page, browser: Browser, options: CreateOptions, ev: any);
    /**
     * Get all messages in chat by chatId
     * @param chatId - Chat id
     * @param date - Date to get messages
     * @returns
     */
    loadAndGetAllMessagesInChat(chatId: string, date: string): Promise<any>;
    /**
     * Returns a list of contacts
     * @returns List of contacts
     */
    getAllContacts(): Promise<Contact>;
    /**
     * Get information from the connected number
     * @returns Current host device details
     */
    getHost(): Promise<InterfaceHost>;
    /**
     * Get version of the current whatsapp
     * @returns Current whatsapp version
     */
    getWAVersion(): Promise<any>;
    /**
     * Get screenshot
     * @returns base64 image
     */
    screenshot(): Promise<{
        base64Image: string;
    }>;
    /**
     * Check if the number exists
     * @param {string} number phone number
     */
    checkNumber(number: string): Promise<any>;
}
