"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RetrieverLayer = void 0;
const profile_layes_1 = require("./profile.layes");
const enum_1 = require("../../model/enum");
class RetrieverLayer extends profile_layes_1.Profile {
    constructor(page, browser, options, ev) {
        super(page, browser, options, ev);
        this.page = page;
        this.browser = browser;
        this.options = options;
        this.ev = ev;
    }
    /**
     * Get all messages in chat by chatId
     * @param chatId - Chat id
     * @param date - Date to get messages
     * @returns
     */
    async loadAndGetAllMessagesInChat(chatId, date) {
        return this.handleApiCallParametres(enum_1.FunctionsLayer.loadAndGetAllMessagesInChat, chatId, date);
    }
    /**
     * Returns a list of contacts
     * @returns List of contacts
     */
    async getAllContacts() {
        return this.handleApiCallParametres(enum_1.FunctionsLayer.getAllContacts);
    }
    /**
     * Get information from the connected number
     * @returns Current host device details
     */
    async getHost() {
        return this.handleApiCallParametres(enum_1.FunctionsLayer.getHost);
    }
    /**
     * Get version of the current whatsapp
     * @returns Current whatsapp version
     */
    async getWAVersion() {
        return this.handleApiCallParametres(enum_1.FunctionsLayer.getWAVersion);
    }
    /**
     * Get screenshot
     * @returns base64 image
     */
    async screenshot() {
        const base64 = await this.handleApiCallPage(enum_1.FunctionsLayer.screenshot, {
            encoding: 'base64',
        });
        return { base64Image: `data:image/png;base64,${base64}` };
    }
    /**
     * Check if the number exists
     * @param {string} number phone number
     */
    async checkNumber(number) {
        return this.handleApiCallParametres(enum_1.FunctionsLayer.checkNumberStatus, number);
    }
}
exports.RetrieverLayer = RetrieverLayer;
