"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.includesMsgErros = void 0;
/**
 * Function to extract error messages
 * @param error - message error
 * @returns error message
 */
const extractErrorMessage = (error) => {
    const regex = /^Error: (.+)$/;
    const match = error.message.match(regex);
    return match ? match[1] : error.message;
};
/**
 * Function to include error messages in the response
 * @param error - message error
 * @param to - chat id
 * @param function_name - function name
 * @returns
 */
const includesMsgErros = (error, to, function_name) => {
    const message = extractErrorMessage(error);
    return {
        message,
        to,
        function_name,
        error: true,
    };
};
exports.includesMsgErros = includesMsgErros;
